org.eclnt.util.log

## Class CLogLogger

- java.lang.Object
- - java.util.logging.Logger
  - - org.eclnt.util.log.CLogLogger

-     public class CLogLogger
      extends java.util.logging.Logger

  Logger with enhanced ESAPI security: was introduced to meet requirements of VeraCode code analysis...

- - ### Field Summary

    - ### Fields inherited from class java.util.logging.Logger

      `global, GLOBAL_LOGGER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLogLogger(java.util.logging.Logger redirectLogger)`
    `CLogLogger(java.lang.String name, java.lang.String resourceBundleName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `log(java.util.logging.Level level, java.lang.String msg)`
    `void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Throwable thrown)`

    - ### Methods inherited from class java.util.logging.Logger

      `addHandler, config, config, entering, entering, entering, exiting, exiting, fine, fine, finer, finer, finest, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getGlobal, getHandlers, getLevel, getLogger, getLogger, getName, getParent, getResourceBundle, getResourceBundleName, getUseParentHandlers, info, info, isLoggable, log, log, log, log, log, logp, logp, logp, logp, logp, logp, logrb, logrb, logrb, logrb, logrb, logrb, removeHandler, setFilter, setLevel, setParent, setResourceBundle, setUseParentHandlers, severe, severe, throwing, warning, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CLogLogger

          public CLogLogger(java.lang.String name,
                            java.lang.String resourceBundleName)

    - #### CLogLogger

          public CLogLogger(java.util.logging.Logger redirectLogger)

  - ### Method Detail

    - #### log

          public void log(java.util.logging.Level level,
                          java.lang.String msg)

      Overrides:
        `log` in class `java.util.logging.Logger`

    - #### log

          public void log(java.util.logging.Level level,
                          java.lang.String msg,
                          java.lang.Throwable thrown)

      Overrides:
        `log` in class `java.util.logging.Logger`

Copyright © CaptainCasa Gmbh. All Rights Reserved.